
local function duplicateTech( newName, tech )
	local newTech = table.deepcopy(tech)
	local techNumber = tonumber(string.sub( tech.name, tech.name:len() ))
	newTech.name = newName.."-"..techNumber
	
	if techNumber > 1 then
		newTech.prerequisites = {newName.."-"..(techNumber - 1)}
	end
	
	for i,effect in pairs(newTech.effects) do
		if effect.ammo_category then
			effect.ammo_category = "electric"
		end
	end

	data:extend({newTech})
end

for i = 1,6 do
	duplicateTech( "electric-damage", data.raw.technology["laser-turret-damage-"..i])
end

for i = 1,6 do
	duplicateTech( "electric-speed", data.raw.technology["laser-turret-speed-"..i])
end

